ReshapeTool(3U)

NAME
ReshapeTool - tool for reshaping or otherwise altering components' structures

SYNOPSIS
#include <Unidraw/Tools/reshape.h>

DESCRIPTION
ReshapeTool lets the user perform component-specific structural changes by direct manipulation.

PUBLIC OPERATIONS

ReshapeTool(ControlInfo* = nil)
    Create a new ConnectTool.

virtual Manipulator* CreateManipulator(

Viewer*, Event&, Transformer*

)

virtual void InterpretManipulator(Manipulator*)
    CreateManipulator detects whether the user clicked on a component. If not, it returns a nil manipulator. If a component was hit, CreateManipulator clears the editor's selection, selects that component, and delegates manipulator creation and interpretation to that component.

SEE ALSO
Tool(3U)